package com.huigou.topsun.proofing.application.impl;
import com.huigou.data.query.model.QueryDescriptor;
import com.huigou.topsun.proofing.application.ProofingMakeApplication;

import com.huigou.topsun.proofing.domain.model.ProofingApply;
import com.huigou.topsun.proofing.domain.model.ProofingMake;

import com.huigou.topsun.proofing.domain.query.ProofingMakeQueryRequest;
import com.huigou.topsun.proofing.domain.vo.ProofingMakeVo;
import com.huigou.topsun.proofing.repository.ProofingApplyRepository;
import com.huigou.topsun.proofing.repository.ProofingMakeRepository;

import com.huigou.uasp.bmp.common.application.BaseApplication;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;


/**
* @author 16508
* @description 针对表【technology(工艺)】的数据库操作Service实现
* @createDate 2023-11-22 11:04:03
*/
@Service
public class ProofingMakeApplicationImpl extends BaseApplication implements ProofingMakeApplication {

    @Autowired
    ProofingMakeRepository proofingMakeRepository;
    @Autowired
    ProofingApplyRepository proofingApplyRepository;

    @Override
    public Map<String, Object> slicedProofingMakeQuery(ProofingMakeQueryRequest query) {
        QueryDescriptor queryDescriptor = this.sqlExecutorDao.getQuery(QUERY_XML_FILE_PATH, "slicedProofingMakeList");
        return this.sqlExecutorDao.executeSlicedQuery(queryDescriptor,query);
    }

    /**
     * @param proofingMake
     */
    @Override
    public void saveProofingMake(ProofingMake proofingMake) {
        proofingMakeRepository.save(proofingMake);
    }

    @Override
    public ProofingMakeVo getProofingMakeVoById(String proofingMakeId) {
        ProofingMakeVo proofingMakeVo = new ProofingMakeVo();
        ProofingMake proofingMake = proofingMakeRepository.findOne(proofingMakeId);
        ProofingApply proofingApply = proofingApplyRepository.findByProofingApplyId(proofingMake.getProofingApplyId());
        BeanUtils.copyProperties(proofingMake,proofingMakeVo);
        BeanUtils.copyProperties(proofingApply,proofingMakeVo);
        return proofingMakeVo;
    }
}



