package com.huigou.topsun.proofing.domain.model;

import lombok.Data;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 作业指导书
 * @TableName work_instruction
 */
@Table(name="work_instruction")
@Entity
@Data
public class WorkInstruction implements Serializable {
    /**
     * 作业指导书
     */
    @Id
    @GeneratedValue(
            generator = "system-uuid"
    )
    @GenericGenerator(
            name = "system-uuid",
            strategy = "guid"
    )
    @Column(name = "work_instruction_id")
    private String workInstructionId;

    /**
     * 作业指导申请书id
     */
    @Column(name = "work_instruction_apply_id")
    private String workInstructionApplyId;

    /**
     * 是否建立bom表
     */
    @Column(name = "is_build_bom")
    private String isBuildBom;

    /**
     * 确认日期
     */
    @Column(name = "confirm_date")
    private Date confirmDate;

    /**
     * 确认人
     */
    @Column(name = "comfirm_person")
    private String comfirmPerson;

    /**
     * 是否免检
     */
    @Column(name = "is_free_inspection")
    private String isFreeInspection;

    /**
     * 不要质量loss%
     */
    @Column(name = "is_no_quality_loss")
    private String isNoQualityLoss;

    /**
     * 样品单号
     */
    @Column(name = "sample_order_no")
    private String sampleOrderNo;

    /**
     * 库存编码
     */
    @Column(name = "stock_no")
    private String stockNo;

    /**
     * 库存名称
     */
    @Column(name = "stock_name")
    private String stockName;

    /**
     * 存档编号
     */
    @Column(name = "file_no")
    private String fileNo;

    /**
     * 型体配色
     */
    @Column(name = "style_color_match")
    private String styleColorMatch;

    /**
     * 客户料号
     */
    @Column(name = "customer_material_no")
    private String customerMaterialNo;

    /**
     * 版本号
     */
    @Column(name = "version_no")
    private String versionNo;

    /**
     * 
     */
    private String coefficient;

    private static final long serialVersionUID = 1L;
}