package com.huigou.topsun.proofing.domain.model;

import lombok.Data;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 作业指导书排版参数
 * @TableName work_instruction_pd_published_conf
 */
@Table(name="work_instruction_pd_published_conf")
@Data
@Entity
public class WorkInstructionPdPublishedConf implements Serializable {
    /**
     * 作业指导书排版参数id
     */
    @Id
    @GeneratedValue(
            generator = "system-uuid"
    )
    @GenericGenerator(
            name = "system-uuid",
            strategy = "guid"
    )
    @Column(name = "work_instruction_pd_published_conf_id")
    private String workInstructionPdPublishedConfId;

    /**
     * 作业指导书id
     */
    @Column(name = "work_instruction_id")
    private String workInstructionId;

    /**
     * 产品排版参数id
     */
    @Column(name = "pd_published_conf_id")
    private String pdPublishedConfId;

    /**
     * 啤版编号
     */
    @Column(name = "beer_plate_no")
    private String beerPlateNo;

    /**
     * 烫金版编号
     */
    @Column(name = "gold_plate_no")
    private String goldPlateNo;

    /**
     * 模切版编号
     */
    @Column(name = "die_cut_plate_no")
    private String dieCutPlateNo;

    /**
     * 铜版及树脂版编号
     */
    @Column(name = "copperp_resin_late_no")
    private String copperpResinLateNo;

    /**
     * 网版编号
     */
    @Column(name = "net_plate_no")
    private String netPlateNo;

    /**
     * 包装方式
     */
    @Column(name = "package_style")
    private String packageStyle;

    /**
     * 物性测试
     */
    @Column(name = "physical_test")
    private String physicalTest;

    /**
     * 化性测试
     */
    @Column(name = "chemistry_test")
    private String chemistryTest;

    /**
     * 铜版编号
     */
    @Column(name = "copperp_no")
    private String copperpNo;

    /**
     * 色号卡
     */
    @Column(name = "color_no_card")
    private String colorNoCard;

    /**
     * 模具编号
     */
    @Column(name = "plate_no")
    private String plateNo;

    /**
     * 表面处理
     */
    @Column(name = "surface_treatment")
    private String surfaceTreatment;

    /**
     * 风险描述（序号、内容、等级）
     */
    @Column(name = "risk_description")
    private String riskDescription;

    /**
     * 是否附样图
     */
    @Column(name = "have_drawing")
    private String haveDrawing;

    /**
     * 分切方向
     */
    @Column(name = "cut_direction")
    private String cutDirection;

    /**
     * 海关商品编码
     */
    @Column(name = "customs_commodity_code")
    private String customsCommodityCode;

    private static final long serialVersionUID = 1L;
}